Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19020/?format=api
{ "ob_id": 19020, "uuid": "9c81fbd219a14ce8ad487b3a810ebef3", "title": "APPRAISE CLOUDS: aerosol mass concentrations from the University of Manchester Aerodyne Aerosol Mass Spectrometer deployed at the Chilbolton Observatory, Hampshire", "abstract": "Data were collected on the 27th of November 2008 and on 5th of January 2009 by the University of Manchester Aerodyne Aerosol Mass Spectrometer at the Chilbolton Observatory, Hampshire, in support of the FAAM campaign in the South-West of the UK. The dataset contains measurements of aerosol mass concentrations. \r\n\r\nThe data were collected for use in the CLOUDS project, which is one of multiple projects within the APPRAISE (Aerosol Properties, PRocesses And Influences on the Earth's climate) programme.", "keywords": "appraise, cloud, aerosol mass concentrations", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": null, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1927/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/92/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data for the period 2005 to 2010, provided as is by the APPRAISE campaign participants for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6527/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12229/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71570/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71569/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71571/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71572/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71573/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71574/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71575/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71576/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71577/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71578/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71579/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6562/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [], "discoveryKeywords": [] }